petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceSimpleSetFunctional

Set the given basis element for this dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSimpleSetFunctional(PetscDualSpace sp, PetscInt func, PetscQuadrature q)

Not Collective

### Input Parameters

| sp | - the PetscDualSpace
| f | - the basis index
| q | - the basis functional

Note: The quadrature will be reweighted so that it has unit volume.

### Keywords

PetscDualSpace, functional

### See Also

PetscDualSpaceSimpleSetDimension()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/simple/dspacesimple.c

### Implementations

PetscDualSpaceSimpleSetFunctional_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages